{$apptype console}
{$o-,r+,q+}
uses
  sysutils, math;

type
  int = longint;

function randomString(l : int) : string;
var
  i : int;
begin
  result := '';
  for i := 1 to l do
  begin
    result := result + chr(ord('a') + random(26));
  end;
end;

var
  i : int;

begin
  randseed := 8390324;
  writeln(randomString(200));
  writeln(200);
  for i := 1 to 200 do
  begin
    if (i mod 2 = 0) then
    begin
      writeln('S 1 200');
    end else begin
      writeln('R 1 200');
    end;
  end;
end.